---
title: 'About BigchainDB'
layout: page
---
In the summer of 2013, we started working on a project that became ascribe, blockchain-based intellectual property (IP) attribution. We asked the question: how can creators of any digital IP get compensated? Why not own digital art the way you own Bitcoin? With a public store of attribution and provenance, blockchain technology could solve this. So we raised some money, hired a few early employees and kept working on the product until we were satisfied enough to release it, built on the Bitcoin blockchain. The product was basically in shape to serve larger-scale customers, with the glaring exception of the blockchain scalability. We found ourselves needing to turn down opportunities knowing that the Bitcoin blockchain wouldn’t be able to handle the throughput we needed to serve larger enterprises.

With this as a starting point, we asked how do we “blockchain-ify” it? We drew on our experience in shipping blockchain products to define three specific characteristics: decentralized, immutable and the ability to register and transfer assets. With the definitions above as a starting point, we chose an enterprise-class distributed database and then built our own technology on top of that, adding those three key characteristics while improving base functionality, fault tolerance much more. See our roadmap <a href="https://github.com/bigchaindb/org/blob/master/ROADMAP.md">here</a>.

From the seed of the idea, to intense efforts starting late summer 2015, we made the announcement in February 2016. What initially started as a “let’s solve our own problem” approach almost immediately turned into something much bigger than we expected. With people and enterprises from across all industries reaching out looking to partner, collaborate, license or build on the technology, it became clear that we were solving much more than our own problem. The result is BigchainDB, a scalable blockchain database for the world.

<a href="https://www.ascribe.io/">ascribe</a>, <a href="https://www.whereonthe.net/">WhereOnTheNet</a> and <a href="https://ipdb.foundation/">IPDB</a> are all registered trademarks of BigchainDB.

## Team

{% include team.html %}
